:root {
    --vil-primary: #2a5686;
    --vil-secondary: #ffb60b;
    --vil-tertiary: #cc0300;

    --vil-background-color: #fff;
    --vil-color-title: var(--vil-primary);
    --vil-color-text: #000;

    --vil-color-link: var(--vil-primary);

    --vil-color-checkbox: var(--vil-tertiary);

    --vil-button-primary: var(--vil-primary);
    --vil-button-active: #153e69;
    --vil-button-disabled-color: #777;
    --vil-button-text: #fff;

    --vil-success-color: #1f7400;
    --vil-error-color: #cc0200;
    --vil-progress-color: #ffb60b;

    --vil-stepper-disabled-color: #777;
    --vil-stepper-active-color: var(--vil-primary);
    --vil-stepper-success-color: #299c00;
    --vil-stepper-failed-color: var(--vil-tertiary);
}

body {
    font-family: "Roboto";
    background-color: var(--vil-background-color);
}

button {
    border: none;
    font: inherit;
    cursor: pointer;
    font-weight: 500;
    font-size: 20px;
    padding: 1.5em;
    &.primary:not([disabled]) {
        background-color: var(--vil-button-primary);
        color: var(--vil-button-text);
        padding-left: 3em;
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='13' height='13' viewBox='0 0 18 20' fill='none' stroke='%23FEFEFF' stroke-width='3' stroke-linecap='round' stroke-linejoin='round' class='feather feather-arrow-left'%3E%3Cline x1='19' y1='12' x2='5' y2='12'/%3E%3Cpolyline points='12 19 5 12 12 5'/%3E%3C/svg%3E");
        background-repeat: no-repeat;
        background-position: 1.25em 48%;

        &:active,
        &:hover {
            background-color: var(--vil-button-active);
            transition: background-color 0.2s ease;
        }
    }
    &.secondary {
        color: var(--vil-button-primary);
        background-color: var(--vil-button-text);
        border: 1px solid var(--vil-button-primary);
    }

    &[disabled] {
        color: var(--vil-button-text);
        background-color: var(--vil-button-disabled-color);
        opacity: 0.8;
        cursor: auto;
    }
}

html, body { height: 100%; }
body { margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif; }
